Subject: Re: [PATCH] selftests/net: initialize char variable to null

From: Willem de Bruijn <[email-masked]>
Date: Tue, 25 Nov 2025 11:04:54 -0500

Ankit Khushwaha wrote:
> On Mon, Nov 24, 2025 at 01:15:33PM -0500, Willem de Bruijn wrote:
> > This does not reproduce for me.
> > 
> > Can you share the full clang command that V=1 outputs, as well as the
> > output oof clang --version.
> 
> Hi Willem,
> I have added clang output in 
> https://gist.github.com/ankitkhushwaha/8e93e3d37917b3571a7ce0e9c9806f18
> 
> Thanks,
> Ankit

I see. This is with clang-21. It did not trigger for me with clang-19.

I was able to reproduce with Ubuntu 25.10.

Okay, good to suppress these false positives with normal builds.

Reviewed-by: Willem de Bruijn <[email-masked]>